Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name nwsclient
%define version 1.6.4
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		nwsclient
Summary: 	NetWorkSpaces Client for Python
Version:	1.6.4
Release:	alt1_21
License:	GPLv2+
Source0:	http://downloads.sourceforge.net/nws-py/%{name}-%{version}.tar.gz
URL:		http://nws-py.sourceforge.net/
BuildArch:	noarch
BuildRequires:	python-devel python-module-pkg_resources python-module-setuptools
Source44: import.info

%description
NetWorkSpaces (NWS) is a powerful, open-source software package that makes it 
easy to use clusters from within scripting languages like Python, R, and 
Matlab. It uses a Space-based approach, similar to JavaSpaces (TM) for example,
that makes it easier to write distributed applications.

NetWorkSpaces for Python is the Python API to the NetWorkSpaces server. It 
allows different Python scripts to communicate and coordinate with each other, 
and (with some restrictions) with scripts written in other languages, such as
R and Matlab.  The restriction is that only strings can be passed between 
different languages. NetWorkSpaces doesn't provide a standard way to serialize 
objects between different languages, but by allowing strings to be used, 
programmers can choose their own mechanism (XML or YAML, for example).

%prep
%setup -q

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
NWS_MAN_DIR=%{_mandir}/man1 NWS_DOC_DIR=%{_docdir}/%{name} %{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}
cp -a PKG-INFO %{buildroot}%{_docdir}/%{name}/

chmod -x %{buildroot}%{_docdir}/%{name}/examples/*

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{python_sitelibdir_noarch}/nws/
%{python_sitelibdir_noarch}/%{name}-%{version}-py*.egg-info
%{_mandir}/man1/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_21
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_20
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_18
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_15
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_10
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_9
- update to new release by fcimport

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_8
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_7
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.4-alt1_6
- initial fc import

